<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Sachgebiete</h1>
    </div>
  </div>
</div>

<div class="columns">
  <div class="column">
    <table class="table">
      <thead>
        <tr>
          <th>ID</th>
          <th>Numeral</th>
          <th>Name</th>
          <th>Foto-ID</th>
          <th>Aktionen</th>
        </tr>
      </thead>
      <tbody>
        <tr ng-repeat="department in vm.departments">
          <td>{{department.id}}</td>
          <td>{{department.numeral}}</td>
          <td>{{department.name}}</td>
          <td>
            <a href="{{vm.imageApi + department.imageId}}"
               target="_blank"
               ng-if="department.imageId">
              {{department.imageId}}
            </a>
          </td>
          <td>
            <div class="control" role="group" aria-label="aktionen">
              <a class="button is-small"
                 ng-click="vm.editDepartment($index, department)"
                 title="Sachgebiet bearbeiten">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
              <a class="button is-small is-danger"
                 ng-click="vm.removeDepartment($index, department);"
                 title="Sachgebiet löschen">
                <i class="fa fa-times" aria-hidden="true"></i>
              </a>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
<div class="columns">
  <div class="column">
    <p class="control has-addons">
      <a class="button is-primary has-addons"
         ng-click="vm.openEditor()"
         ng-hide="vm.editable">
        <span class="icon is-small">
          <i class="fa {{vm.editable ? 'fa-minus' : 'fa-plus'}}"></i>
        </span>
        <span>{{vm.editable ? 'Formular schließen' : 'Sachgebiet hinzufügen'}}</span>
      </a>
    </p>
  </div>
</div>

<div class="columns" ng-if="vm.editable">
  <div class="column">
    <form>
      <div class="control">
        <label for="numeralTf"
               class="label">Numeral</label>
        <input type="text"
               class="input"
               id="numeralTf"
               ng-model="vm.department.numeral"
               placeholder="Numeral z.B. II, XI, ...">
      </div>
      <div class="control">
        <label for="nameTf"
               class="label">Bezeichnung</label>
        <input type="text"
               class="input"
               id="nameTf"
               ng-model="vm.department.name"
               placeholder="Bezeichnung, z.B. Geschäftsstelle">
      </div>
      <button type="button"
              ng-if="vm.saving"
              class="button is-success"
              ng-click="vm.saveDepartment()">Speichern</button>
      <button type="button"
              ng-if="vm.updating"
              class="button is-warning"
              ng-click="vm.updateDepartment()">Ändern</button>
      <button type="reset"
              ng-click="vm.cancel()"
              class="button">Abbrechen</button>
    </form>
  </div><!-- .column -->

  <div class="column">
    <label class="label">Gewähltes Foto:</label>
    <p class="control" ng-if="vm.selectedImage">
      <figure class="image is-128x128">
        <a href="{{vm.imageApi + vm.selectedImage.id}}" target="_blank">
          <img src="{{vm.imageApi + vm.selectedImage.id}}" />
        </a>
        <figcaption ng-if="vm.selectedImage.id">
          <a ng-click="vm.unselectImage()">Löschen</a>
        </figcaption>
      </figure>
    </p>

    <p class="control">
      <a ng-click="vm.toggleImages()">
        {{vm.imagesVisible ? 'Bilder verstecken' : 'Bilder anzeigen'}}
      </a>
    </p>

    <fa-image-chooser my-image="vm.selectedImage"
                      ng-if="vm.imagesVisible">
    </fa-image-chooser>
  </div><!-- .column -->
</div><!-- .columns -->